/// <reference types="node" />
/** Wrap binary data as commonjs module so it can be imported by doing require(module)
 * @param buffer raw binary data to be wrapped as es6 module
 * @return chainable object which represent `wrap this data as...`
 * @example return wrap(arrayBuffer).asWebAssembly.Module
 */
export default function (buffer: Buffer, module?: Module.Type): {
    asBuffer: string;
    asWebAssembly: {
        Module: string;
        Instance: string;
    };
    promiseWebAssembly: {
        Module: string;
        Instance: string;
        Both: string;
    };
};
